import { useAjax } from "@/Hook/useAjax"
import { getPromoteAgainListApi } from "@/services/gameData/extensionData"
import { getGameDataAgainListApi } from "@/services/gameData/game"
import { Button, Drawer } from "antd"
import React, { useEffect, useState } from "react"


interface Props {
    // 'EXTEN' 推广每日数据付费趋势  'GAME' 游戏每日付费趋势
    type: 'EXTEN' | 'GAME'
    id?: number,
    gameName?: string
    visible?: boolean
    onClose?: () => void
}
/**
 * 复充趋势
 * @returns 
 */
const RechargeTrend: React.FC<Props> = ({ visible, onClose, type, id, gameName }) => {

    /************************************* */
    const [queryForm, setQueryForm] = useState<any>()

    const getPromoteAgainList = useAjax((params) => getPromoteAgainListApi(params)) // 推广
    const getGameDataAgainList = useAjax((params) => getGameDataAgainListApi(params)) // 游戏
    /************************************* */

    useEffect(() => {
        if (visible) {
            if (type === 'EXTEN') {
                getPromoteAgainList.run({ accountId: id })
            } else if (type === 'GAME') {
                getGameDataAgainList.run({ gameId: id, gameName, ...queryForm })
            }
        }
    }, [id, type, visible, queryForm])

    return <Drawer title={`复充趋势`} visible={visible} onClose={() => onClose?.()} width={'90%'}>

        1123123
    </Drawer>
}

export default React.memo(RechargeTrend)